Public Interface ICollidable

    ReadOnly Property BoundingBox As BoundingBox
    
    ReadOnly Property BoundingSphere As BoundingSphere

    Sub UpdateBoundingBox()

    Sub UpdateBoundingSphere()

    Property UseBoundingBoxForCollisions As Boolean

End Interface
